Skip to content
vocapable.Docs

Open times the customer can book from their quote link

GET
/v1/share/{token}/booking
curl --request GET \
--url https://api.vocapable.com/v1/share/example/booking \
--header 'Authorization: Bearer <token>'
token
required
Token
string

Successful Response

Media typeapplication/json
WorkspaceShareBookingSlots

What a customer sees when their quote link offers booking.

object
available
required
Available
boolean
note
required
Any of:
string
company_name
required
Company Name
string
host_name
required
Any of:
string
duration_minutes
required
Duration Minutes
integer
timezone
required
Timezone
string
slots
required
Slots
Array<object>
WorkspaceMeetingSlot
object
start
required
Start
string format: date-time
end
required
End
string format: date-time
booking_status
required
Any of:
string
Allowed values: draft checking reserved confirmed changed cancelled no_show completed recovery_needed
booking_start
required
Any of:
string format: date-time
Example
{
"booking_status": "draft"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}